<?php 
    /**
    *
    * copyright (c) 2013-2022 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/index.php?alias=linee-guida-per-luso-del-logo-geecom
    */
    $dataOggi = date("Y-m-d H:m");
    
    $queryArticoli="SELECT * FROM geecB_contenuti "
            . "WHERE tipo LIKE 'articolo' "
            . "AND (categoria = {$contenuto["categoria"]} OR categoria in (SELECT id FROM geec_categorie WHERE categoriaMadre={$contenuto["categoria"]})) "
            . "AND stato LIKE 'pubblicato' "
            . "AND id != {$contenuto["id"]} "
            . "AND linguaContenuto LIKE '{$contenuto["linguaContenuto"]}'"
            . "AND dataPubblicazione <= '$dataOggi' "
            . "ORDER BY rand() DESC LIMIT 3";
    
    $risArticoli = $geecomDb->eseguiQueryLettura($queryArticoli);
    if($risArticoli->num_rows > 0) {
?>
  <!-- Articoli correltati affiancati -->
  <div class="articoli-dal-blog">
      <div class="row">   
        <div class="col mb-2">
            <h5 class="text-muted separatore-inferiore"><?php echo $gestoreTraduzioni->traduci("Potrebbero interessarti anche...",$lingua) ?></h5>
        </div>	
      </div>
      <div class="row">  
	<?php 
            while($articolo = $risArticoli->fetch_assoc()) {
                $link= GeneratoreUrl::creaUrlContenuto($articolo, $impostazioni["ottimizzazioneUrl"], $impostazioni["urlSito"]);
                $arrayCategorie = array();
                if($articolo["categoria"]>0) {
                    $categoriaPrincipale     = $geecomDb->leggiSingolaRiga("geec_categorie",$articolo["categoria"]);
                    $linkCategoriaPrincipale = GeneratoreUrl::creaUrlCategoria($categoriaPrincipale, $impostazioni["ottimizzazioneUrl"],$impostazioni["urlSito"]);
                }
                
                $queryArticoli="SELECT c.* FROM geec_associazioneCategorieContenuti AS ac JOIN geec_categorie AS c ON c.id = ac.idCategoria "
                                . "WHERE ac.idContenuto = {$articolo["id"]}";
                $risCategorie = $geecomDb->eseguiQueryLettura($queryArticoli);
                while($categoria = $risCategorie->fetch_assoc()) {
                    $arrayCategorie[$categoria["nome"]] = GeneratoreUrl::creaUrlCategoria($categoria, $impostazioni["ottimizzazioneUrl"],$impostazioni["urlSito"]);
                }
                StampaContenuti::articoliAffiancati($gestoreTraduzioni,$articolo, $datiBlog["aspettoImmagineInEvidenzaArticolo"], $link, $arrayCategorie);
            }
	?>
      </div>
  </div>
<?php 
    }